DROP TABLE ntc_workout_video_cues;

-- reverse conversion of clip field
CREATE TABLE IF NOT EXISTS ntc_temp_table (
    dac_asset_name TEXT NOT NULL,
    dac_drill_id TEXT NOT NULL,
    dac_offset_sec REAL,
    dac_audio_type TEXT NOT NULL );

INSERT INTO ntc_temp_table SELECT * FROM ntc_drill_audio_clip;

-- re-create clip table
DROP TABLE ntc_drill_audio_clip;

CREATE TABLE ntc_drill_audio_clip (
    dac_asset_name TEXT NOT NULL,
    dac_d_drill_id TEXT NOT NULL,
    dac_offset_sec INTEGER NOT NULL DEFAULT 0,
    dac_audio_type TEXT NOT NULL DEFAULT 'invalid',
    UNIQUE ( dac_d_drill_id, dac_asset_name) ON CONFLICT REPLACE);

INSERT INTO ntc_drill_audio_clip SELECT
    dac_asset_name,
    dac_drill_id,
    ROUND(dac_offset_sec),
    dac_audio_type
 FROM ntc_temp_table;

DROP TABLE ntc_temp_table;
