ALTER TABLE ntc_manifest RENAME TO ntc_manifest_old;

CREATE TABLE IF NOT EXISTS ntc_manifest (
    remote_url TEXT NOT NULL,
    etag TEXT NOT NULL,
    insert_epoch INTEGER  NOT NULL,
    master_bundle_id TEXT NOT NULL,
    stored_in_dropship INTEGER NOT NULL,
    workouts_asset_id TEXT NOT NULL,
    cues_asset_id TEXT NOT NULL,
    localized_strings_asset_id TEXT NOT NULL,
    content_asset_id TEXT NOT NULL DEFAULT "",
    version REAL NOT NULL DEFAULT 0,
    created_at LONG NON NULL DEFAULT 0,
    UNIQUE (remote_url, etag) ON CONFLICT REPLACE );

INSERT INTO ntc_manifest
    SELECT remote_url, etag, insert_epoch, master_bundle_id, stored_in_dropship, workouts_asset_id,
    cues_asset_id, localized_strings_asset_id, "", 1, created_at
    FROM ntc_manifest_old;

DROP TABLE ntc_manifest_old;
