-- table
CREATE TABLE IF NOT EXISTS ntc_drill_old (
    d_drill_id TEXT NOT NULL,
    d_name_key TEXT NOT NULL DEFAULT "",
    d_subtitle_key TEXT,
    d_type INTEGER NOT NULL,
    d_metric_type INTEGER,
    d_metric_value REAL,
    d_duration_sec REAL NOT NULL DEFAULT 0,
    d_est_duration_sec INTEGER NOT NULL DEFAULT 0,
    d_transition_sec INTEGER NOT NULL DEFAULT 0,
    UNIQUE (d_drill_id) ON CONFLICT REPLACE);

INSERT INTO ntc_drill_old SELECT * FROM ntc_drill;

DROP TABLE ntc_drill;

CREATE TABLE IF NOT EXISTS ntc_drill (
    d_drill_id TEXT NOT NULL,
    d_name_key TEXT NOT NULL DEFAULT "",
    d_subtitle_key TEXT,
    d_type INTEGER NOT NULL,
    d_metric_type INTEGER,
    d_metric_value REAL,
    d_duration_sec REAL NOT NULL DEFAULT 0,
    d_est_duration_sec INTEGER NOT NULL DEFAULT 0,
    d_transition_sec INTEGER NOT NULL DEFAULT 0,
    d_caption_key TEXT,
    UNIQUE (d_drill_id) ON CONFLICT REPLACE);

INSERT INTO ntc_drill
    SELECT d_drill_id, d_name_key, d_subtitle_key, d_type, d_metric_type,
    d_metric_value, 0, d_est_duration_sec, d_transition_sec, ""
    FROM ntc_drill_old;

DROP TABLE ntc_drill_old;

-- view
DROP VIEW v_drills_strings;

CREATE VIEW IF NOT EXISTS v_drills_strings AS
    SELECT d_drill_id,
    d_name_key,
    d_subtitle_key,
    d_type,
    d_metric_type,
    d_metric_value,
    d_est_duration_sec,
    d_transition_sec,
    d_duration_sec,
    d_caption_key,
    s1.str_value AS d_name,
    s2.str_value AS d_subtitle,
    s3.str_value AS d_caption
    FROM ntc_drill AS d
    LEFT JOIN ntc_string AS s1 ON (s1.str_key = d_name_key)
    LEFT JOIN ntc_string AS s2 ON (s2.str_key = d_subtitle_key)
    LEFT JOIN ntc_string AS s3 ON (s3.str_key = d_caption_key);
