ALTER TABLE ntc_collection ADD COLUMN c_collection_product_collection_id TEXT;

DROP VIEW v_ntc_collection;

CREATE VIEW IF NOT EXISTS v_ntc_collection AS
  SELECT c.c_collection_id AS c_collection_id, c.c_collection_title_key AS c_collection_title_key,
         c.c_collection_summary_key AS c_collection_summary_key, c.c_collection_overview_title_key AS
         c_collection_overview_title_key, c.c_collection_overview_summary_key AS
         c_collection_overview_summary_key, c.c_collection_workouts_title_key AS
         c_collection_workouts_title_key, c.c_collection_workouts_summary_key AS
         c_collection_workouts_summary_key, c.c_collection_workouts_two_title_key AS
         c_collection_workouts_two_title_key, c.c_collection_workouts_two_summary_key AS
         c_collection_workouts_two_summary_key, c.c_collection_workouts_three_title_key AS
         c_collection_workouts_three_title_key, c.c_collection_workouts_three_summary_key AS
         c_collection_workouts_three_summary_key, c.c_collection_heading_key AS
         c_collection_heading_key, c.c_collection_training_note_key AS
         c_collection_training_note_key, c.c_collection_attribution_name_key AS
         c_collection_attribution_name_key, c.c_collection_attribution_title_key AS
         c_collection_attribution_title_key, c.c_collection_products_title_key AS
         c_collection_products_title_key, c.c_collection_products_summary_key AS
         c_collection_products_summary_key, c.c_collection_default_gender AS
         c_collection_default_gender, c.c_collection_channel AS c_collection_channel,
         c.c_collection_product_collection_id AS c_collection_product_collection_id,
         c.c_collection_about_title_key AS c_collection_about_title_key, c.c_collection_about_copy_key AS
         c_collection_about_copy_key, c.c_collection_about_handle_key AS
         c_collection_about_handle_key, c.c_collection_about_target_url_key AS
         c_collection_about_target_url_key, c.c_collection_promo_copy_key AS
         c_collection_promo_copy_key, c.c_collection_promo_cta_copy_key AS
         c_collection_promo_cta_copy_key, c.c_collection_promo_target_url_key AS
         c_collection_promo_target_url_key, c.c_collection_subheading_key AS
         c_collection_subheading_key, c.c_collection_publish_date AS c_collection_publish_date, c.
  c_collection_unpublish_date AS c_collection_unpublish_date, s1.str_value AS c_collection_title, s2
         .str_value AS c_collection_summary, s3.str_value AS c_collection_overview_title, s4.
  str_value AS c_collection_overview_summary, s5.str_value AS c_collection_workouts_title, s6.
  str_value AS c_collection_workouts_summary, s7.str_value AS c_collection_workouts_two_title, s8.
  str_value AS c_collection_workouts_two_summary, s9.str_value AS c_collection_heading, s10.
  str_value AS c_collection_training_note, s11.str_value AS c_collection_attribution_name, s12.
  str_value AS c_collection_attribution_title, s13.str_value AS c_collection_product_title, s14.
  str_value AS c_collection_product_summary, s15.str_value AS c_collection_about_title, s16.
  str_value AS c_collection_about_copy, s17.str_value AS c_collection_about_handle, s18.str_value AS
         c_collection_about_target_url, s19.str_value AS c_collection_promo_copy, s20.str_value AS
         c_collection_promo_cta_copy, s21.str_value AS c_collection_promo_target_url, s22.str_value
         AS c_collection_subheading, s23.str_value AS c_collection_workouts_three_title, s24.
  str_value AS c_collection_workouts_three_summary
  FROM ntc_collection AS c
    LEFT JOIN ntc_string AS s1 ON (s1.str_key == c_collection_title_key)
    LEFT JOIN ntc_string AS s2 ON (s2.str_key == c_collection_summary_key)
    LEFT JOIN ntc_string AS s3 ON (s3.str_key == c_collection_overview_title_key)
    LEFT JOIN ntc_string AS s4 ON (s4.str_key == c_collection_overview_summary_key)
    LEFT JOIN ntc_string AS s5 ON (s5.str_key == c_collection_workouts_title_key)
    LEFT JOIN ntc_string AS s6 ON (s6.str_key == c_collection_workouts_summary_key)
    LEFT JOIN ntc_string AS s7 ON (s7.str_key == c_collection_workouts_two_title_key)
    LEFT JOIN ntc_string AS s8 ON (s8.str_key == c_collection_workouts_two_summary_key)
    LEFT JOIN ntc_string AS s9 ON (s9.str_key == c_collection_heading_key)
    LEFT JOIN ntc_string AS s10 ON (s10.str_key == c_collection_training_note_key)
    LEFT JOIN ntc_string AS s11 ON (s11.str_key == c_collection_attribution_name_key)
    LEFT JOIN ntc_string AS s12 ON (s12.str_key == c_collection_attribution_title_key)
    LEFT JOIN ntc_string AS s13 ON (s13.str_key == c_collection_products_title_key)
    LEFT JOIN ntc_string AS s14 ON (s14.str_key == c_collection_products_summary_key)
    LEFT JOIN ntc_string AS s15 ON (s15.str_key == c_collection_about_title_key)
    LEFT JOIN ntc_string AS s16 ON (s16.str_key == c_collection_about_copy_key)
    LEFT JOIN ntc_string AS s17 ON (s17.str_key == c_collection_about_handle_key)
    LEFT JOIN ntc_string AS s18 ON (s18.str_key == c_collection_about_target_url_key)
    LEFT JOIN ntc_string AS s19 ON (s19.str_key == c_collection_promo_copy_key)
    LEFT JOIN ntc_string AS s20 ON (s20.str_key == c_collection_promo_cta_copy_key)
    LEFT JOIN ntc_string AS s21 ON (s21.str_key == c_collection_promo_target_url_key)
    LEFT JOIN ntc_string AS s22 ON (s22.str_key == c_collection_subheading_key)
    LEFT JOIN ntc_string AS s23 ON (s23.str_key == c_collection_workouts_three_title_key)
    LEFT JOIN ntc_string AS s24 ON (s24.str_key == c_collection_workouts_three_summary_key);