ALTER TABLE ntc_drill RENAME TO ntc_drill_old;

CREATE TABLE IF NOT EXISTS ntc_drill (
d_drill_id TEXT NOT NULL,
d_name_key TEXT NOT NULL DEFAULT "",
d_subtitle_key TEXT,
d_type INTEGER NOT NULL,
d_metric_type INTEGER,
d_metric_value REAL,
d_duration_sec REAL NOT NULL DEFAULT 0,
d_est_duration_sec INTEGER NOT NULL DEFAULT 0,
d_transition_sec INTEGER NOT NULL DEFAULT 0,
UNIQUE (d_drill_id) ON CONFLICT REPLACE);

INSERT INTO ntc_drill SELECT d_drill_id, d_name_key, d_subtitle_key, d_type, d_metric_type,
d_metric_value, 0, d_est_duration_sec, d_transition_sec from
ntc_drill_old;

DROP TABLE ntc_drill_old;

--recreate trigger
CREATE TRIGGER IF NOT EXISTS t_wi_workout_drill_delete AFTER DELETE ON ntc_drill
FOR EACH ROW  WHEN 0 = (SELECT Count() FROM ntc_drill WHERE d_name_key = OLD.d_name_key)
BEGIN
DELETE FROM ntc_workout_indices WHERE wi_index_type = 4 AND wi_s_id = OLD.d_name_key; END;
