CREATE TABLE IF NOT EXISTS ntc_athlete_tmp (
    a_athlete_id TEXT NOT NULL,
    a_name_key TEXT NOT NULL,
    a_title_key TEXT NOT NULL,
    a_tagline_key TEXT NOT NULL,
    a_workout_title_key TEXT NOT NULL,
    a_workout_summary_key TEXT NOT NULL,
    a_video_title_key TEXT NOT NULL,
    a_video_subhead_key TEXT NOT NULL,
    a_subtitles_key TEXT,
    a_channel_title_key TEXT NOT NULL,
    a_channel_id TEXT NOT NULL,
    a_product_title_key TEXT NOT NULL,
    a_gender INTEGER NOT NULL DEFAULT 1,
    a_workout_ids TEXT NOT NULL,
    UNIQUE (a_athlete_id) ON CONFLICT REPLACE);

INSERT INTO ntc_athlete_tmp SELECT * FROM ntc_athlete;

DROP TABLE ntc_athlete;

CREATE TABLE IF NOT EXISTS ntc_athlete (
    a_athlete_id TEXT NOT NULL,
    a_name_key TEXT NOT NULL,
    a_title_key TEXT NOT NULL,
    a_tagline_key TEXT NOT NULL,
    a_workout_title_key TEXT NOT NULL,
    a_workout_summary_key TEXT NOT NULL,
    a_video_title_key TEXT NOT NULL,
    a_video_subhead_key TEXT NOT NULL,
    a_subtitles_key TEXT NOT NULL DEFAULT "",
    a_channel_title_key TEXT NOT NULL,
    a_channel_id TEXT NOT NULL,
    a_product_title_key TEXT NOT NULL,
    a_gender INTEGER NOT NULL DEFAULT 1,
    a_workout_ids TEXT NOT NULL,
    UNIQUE (a_athlete_id) ON CONFLICT REPLACE);

INSERT INTO ntc_athlete SELECT * FROM ntc_athlete_tmp;

DROP TABLE ntc_athlete_tmp;
