-- migrate audio clip table
CREATE TABLE IF NOT EXISTS ntc_temp_table (
    dac_asset_name TEXT NOT NULL,
    dac_drill_id TEXT NOT NULL,
    dac_offset_sec REAL NOT NULL DEFAULT 0,
    dac_audio_type TEXT NOT NULL );

INSERT INTO ntc_temp_table SELECT * FROM ntc_drill_audio_clip;

-- re-create clip table
DROP TABLE ntc_drill_audio_clip;

CREATE TABLE IF NOT EXISTS ntc_drill_audio_clip (
    dac_asset_name TEXT NOT NULL,
    dac_d_drill_id TEXT NOT NULL,
    dac_offset_sec REAL NOT NULL DEFAULT 0,
    dac_audio_type TEXT NOT NULL DEFAULT 'invalid',
    UNIQUE ( dac_d_drill_id, dac_asset_name) ON CONFLICT REPLACE);

INSERT INTO ntc_drill_audio_clip SELECT * FROM ntc_temp_table;

DROP TABLE ntc_temp_table;

-- video cue table
CREATE TABLE IF NOT EXISTS ntc_workout_video_cues (
            vc_cue_id TEXT NOT NULL,
            vc_offset_sec REAL NOT NULL DEFAULT 0,
            vc_offset_frames INTEGER NOT NULL DEFAULT 0,
            vc_string_id TEXT,
            vc_command TEXT,
            vc_cue_type INTEGER NOT NULL,
            vc_play_speed REAL,
            vc_duration REAL,
             UNIQUE (vc_cue_id, vc_offset_sec, vc_cue_type)
             ON CONFLICT REPLACE);

CREATE INDEX IF NOT EXISTS i_ntc_video_cues ON ntc_workout_video_cues(vc_cue_id, vc_offset_sec);

CREATE VIEW IF NOT EXISTS v_ntc_workout_video_cues AS SELECT
    vc_cue_id, vc_offset_sec, vc_offset_frames, vc_command, vc_cue_type, vc_play_speed,
    vc_duration, s.str_value AS vc_s_value FROM ntc_workout_video_cues LEFT OUTER JOIN ntc_string
    AS s
    ON (vc_string_id = s.str_key);
