--tables
CREATE TABLE IF NOT EXISTS ntc_athlete_subtitles (
    _id INTEGER PRIMARY KEY AUTOINCREMENT,
    a_subtitle_text_key TEXT NOT NULL,
    a_subtitle_start_time TEXT NOT NULL,
    a_subtitle_end_time TEXT NOT NULL,
    a_subtitles_key TEXT NOT NULL);

--views
CREATE VIEW IF NOT EXISTS v_ntc_athlete_subtitles AS
    SELECT s.a_subtitle_text_key AS a_subtitle_text_key,
    s.a_subtitle_start_time AS a_subtitle_start_time,
    s.a_subtitle_end_time AS a_subtitle_end_time,
    s.a_subtitles_key AS a_subtitles_key,
    s1.str_value AS a_subtitle_text
    FROM ntc_athlete_subtitles AS s
    LEFT JOIN ntc_string AS s1 ON (s1.str_key = a_subtitle_text_key);

DROP VIEW IF EXISTS v_ntc_athlete;

CREATE VIEW IF NOT EXISTS v_ntc_athlete AS
    SELECT a.a_athlete_id AS a_athlete_id,
    a.a_name_key AS a_name_key,
    a.a_title_key AS a_title_key,
    a.a_tagline_key AS a_tagline_key,
    a.a_workout_summary_key AS a_workout_summary_key,
    a.a_workout_title_key AS a_workout_title_key,
    a.a_video_title_key AS a_video_title_key,
    a.a_video_subhead_key AS a_video_subhead_key,
    a.a_subtitles_key AS a_subtitles_key,
    a.a_channel_title_key AS a_channel_title_key,
    a.a_channel_id AS a_channel_id,
    a.a_product_title_key AS a_product_title_key,
    a.a_gender AS a_gender,
    a.a_workout_ids AS a_workout_ids,
    s1.str_value AS a_name,
    s2.str_value AS a_title,
    s3.str_value AS a_tagline,
    s4.str_value AS a_workout_summary,
    s9.str_value AS a_workout_title,
    s5.str_value AS a_video_title,
    s10.str_value AS a_channel_title,
    s6.str_value AS a_video_subhead,
    s8.str_value AS a_product_title
    FROM ntc_athlete AS a
    LEFT JOIN ntc_string AS s1 ON (s1.str_key = a_name_key)
    LEFT JOIN ntc_string AS s2 ON (s2.str_key = a_title_key)
    LEFT JOIN ntc_string AS s3 ON (s3.str_key = a_tagline_key)
    LEFT JOIN ntc_string AS s4 ON (s4.str_key = a_workout_summary_key)
    LEFT JOIN ntc_string AS s5 ON (s5.str_key = a_video_title_key)
    LEFT JOIN ntc_string AS s6 ON (s6.str_key = a_video_subhead_key)
    LEFT JOIN ntc_string AS s8 ON (s8.str_key = a_product_title_key)
    LEFT JOIN ntc_string AS s9 ON (s9.str_key = a_workout_title_key)
    LEFT JOIN ntc_string AS s10 ON (s10.str_key = a_channel_title_key);
