-- table
CREATE TABLE IF NOT EXISTS ntc_athlete_toasts (
    t_toast_id TEXT NOT NULL,
    t_toast_headline_key TEXT,
    t_toast_subhead_key TEXT,
    t_toast_internal_target TEXT NOT NULL,
    t_toast_start_date INTEGER NOT NULL DEFAULT 0,
    t_toast_end_date INTEGER NOT NULL DEFAULT 0,
    UNIQUE (t_toast_id) ON CONFLICT REPLACE);

-- view
CREATE VIEW IF NOT EXISTS v_ntc_athlete_toasts AS
SELECT t.t_toast_id AS t_toast_id,
       t.t_toast_headline_key AS t_toast_headline_key,
       t.t_toast_subhead_key AS t_toast_subhead_key,
       t.t_toast_internal_target AS t_toast_internal_target,
       t.t_toast_start_date AS t_toast_start_date,
       t.t_toast_end_date AS t_toast_end_date,
       s1.str_value AS t_toast_headline,
       s2.str_value AS t_toast_subhead
FROM ntc_athlete_toasts AS t
LEFT JOIN ntc_string AS s1 ON (s1.str_key = t_toast_headline_key)
LEFT JOIN ntc_string AS s2 ON (s2.str_key = t_toast_subhead_key);
