-- table
CREATE TABLE IF NOT EXISTS ntc_featured_cards (
    c_card_id TEXT NOT NULL,
    c_card_title_key TEXT,
    c_card_subhead_key TEXT,
    c_card_internal_target TEXT NOT NULL,
    c_card_start_date INTEGER NOT NULL DEFAULT 0,
    c_card_end_date INTEGER NOT NULL DEFAULT 0,
    UNIQUE (c_card_id) ON CONFLICT REPLACE);

-- view
CREATE VIEW IF NOT EXISTS v_ntc_featured_cards AS
SELECT c.c_card_id AS c_card_id,
       c.c_card_title_key AS c_card_title_key,
       c.c_card_subhead_key AS c_card_subhead_key,
       c.c_card_internal_target AS c_card_internal_target,
       c.c_card_start_date AS c_card_start_date,
       c.c_card_end_date AS c_card_end_date,
       s1.str_value AS c_card_title,
       s2.str_value AS c_card_subhead
FROM ntc_featured_cards AS c
LEFT JOIN ntc_string AS s1 ON (s1.str_key = c_card_title_key)
LEFT JOIN ntc_string AS s2 ON (s2.str_key = c_card_subhead_key);
